Đến nội dung


Hình ảnh

text trong cad


  • Please log in to reply
9 replies to this topic

#1 sydaica

sydaica

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 March 2011 - 11:09 PM

chào các bạn , mình có 1 vấn đề mong sự giúp đỡ của các bạn
minh tạo một bảng 2 cột và 20 dòng, sau đó mình điền text vào từng ô trong bảng
bây giờ mình muốn xóa dữ liệu text trong bảng mà không làm mất bảng đó ,nếu xóa từng dòng text một thì
thật lâu ,không biết có cách nào xóa nhanh hơn không ? mong sự giúp đỡ của các bạn !
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 04 March 2011 - 11:27 PM

chào các bạn , mình có 1 vấn đề mong sự giúp đỡ của các bạn
minh tạo một bảng 2 cột và 20 dòng, sau đó mình điền text vào từng ô trong bảng
bây giờ mình muốn xóa dữ liệu text trong bảng mà không làm mất bảng đó ,nếu xóa từng dòng text một thì
thật lâu ,không biết có cách nào xóa nhanh hơn không ? mong sự giúp đỡ của các bạn !

Bạn gõ dòng lênh này vào (command "erase" (ssget '((0 . "TEXT"))) "") rồi chọn text cần xóa.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 maihanh191

maihanh191

    biết lệnh scale

  • Members
  • PipPipPip
  • 148 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 05 March 2011 - 12:12 AM

chào các bạn , mình có 1 vấn đề mong sự giúp đỡ của các bạn
minh tạo một bảng 2 cột và 20 dòng, sau đó mình điền text vào từng ô trong bảng
bây giờ mình muốn xóa dữ liệu text trong bảng mà không làm mất bảng đó ,nếu xóa từng dòng text một thì
thật lâu ,không biết có cách nào xóa nhanh hơn không ? mong sự giúp đỡ của các bạn !

filter chọn text rồi xóa bạn.
  • 0

#4 sydaica

sydaica

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 March 2011 - 08:46 AM

các bạn có thể nói rõ hơn cho mình một chút dc không?
mình tthử cả hai cách nhưng đều không thấy hiệu quả
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 05 March 2011 - 09:17 AM

Chắc ý bạn đang nói bạn tạo bảng bằng table và rồi muốn xóa hết dữ liệu text bên trong, chỉ để lại khung bảng ???
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 sydaica

sydaica

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 March 2011 - 11:36 AM

đúng vậy, mong các cao thủ chỉ giúp
  • 0

#7 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 05 March 2011 - 12:08 PM

đúng vậy, mong các cao thủ chỉ giúp

Bạn có thể dùng đoạn lisp sau

(defun c:xoa()
(setq tblobj (vlax-ename->vla-object (car(entsel "\n Chon bang de xoa text :"))))
(setq row (vla-get-rows Tblobj))
(setq i 0)
(while (< i row)
(vla-setText TblObj i 0 "")
(vla-setText TblObj i 1 "")
(setq i (1+ i))
)
)

  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 05 March 2011 - 03:06 PM

Thuần lisp thì có thể dùng :
(defun c:xoa(/ ent)
(foreach x (setq ent (entget (car(entsel "\n Chon bang de xoa du lieu :"))))
(if (or (= (car x) 1) (= (car x) 302))
(entmod (setq ent(subst (cons (car x) "") x ent)))
)))
P/S bác Tú : e test code của bác thấy k xóa hết được, nên viết lại đoạn này ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 toanthanhphatq6

toanthanhphatq6

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 April 2014 - 04:21 PM

dễ lắm nếu bạn kéo chuột từ phải qua và bấm delete thì nó sẽ xóa luôn cái cột ,nếu bạn kéo chuột từ trái qua và bấm delete thì nó chỉ xóa chữ thôi . hy vọng mình trả lời đúng ý của bạn 


  • 0

#10 htmt234

htmt234

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 21 April 2014 - 12:55 AM

P/S bác Tú : e test code của bác thấy k xóa hết được, nên viết lại đoạn này ^^

 

Sao lisp không kéo được vùng của bảng vậy bác, kick chuột cái là báo lỗi  như này

(Chon bang de xoa text :; error: no function definition: VLAX-ENAME->VLA-OBJECT)


  • 0